#include <iostream>

using namespace std;

int main()
{
    int t;
    cin >> t;

    while(t>0)
    {
        long long int n;
        cin >> n;
        long long int a[n],b[n];
        for(long long int i =0;i<n;i++)
            cin >> a[i];
        for(long long int i =0;i<n;i++)
            cin >> b[i];

        for(long long int i =0;i<n;i++)
            {
                for(long long int j =0;j<n;j++)
                    if(abs(a[i]) == abs(b[j]) && a[i]!= 0)
                    {
                        if(i==j && a[i]==b[j]|| i!=j && a[i]!=b[j])
                            cout << "DA" << endl;
                            else
                                cout << "NE" << endl;
                    }
            }

        t--;
    }
    return 0;
}